//
//  ECTransitionMenuItem.m
//  Etokicho
//
//  Created by 二鏡 on 11/11/26.
//  Copyright 2011年 二鏡庵. All rights reserved.
//

#import "ECTransitionMenuItem.h"

@implementation ECTransitionMenuItem
@synthesize name, objectID;
+ (id)noneItem
{
    ECTransitionMenuItem *ret = [[self alloc] init];
    ret.name = NSLocalizedString(@"No Transition",@"");
    return [ret autorelease];
}

+ (id)makeItem
{
    ECTransitionMenuItem *ret = [[self alloc] init];
    ret.name = NSLocalizedString(@"New Transition...", @"");
    return [ret autorelease];
}

- (void)dealloc
{
    [name release];
    [objectID release];
    [super dealloc];
}
@end
